import enum
from think_dash_agent.providers.database_provider import DatabaseProvider
from think_dash_agent.providers.elasticsearch_provider import ElasticsearchProvider
from think_dash_agent.providers.redis_provider import RedisProvider
from think_dash_agent.providers.site_provider import SiteProvider
from think_dash_agent.providers.ssl_provider import SSLProvider

DASHBOARD_URL = 'http://192.168.1.106:8000/api/'

class SERVICE_TYPE(enum.Enum):
    ELASTICSEARCH:str = 'ELASTICSEARCH'
    DATABASE:str = 'DATABASE'
    SSL:str = 'SSL'
    SITE:str = 'SITE'
    REDIS:str = 'REDIS'

PROVIDERS={
        'site':SiteProvider,
        'redis': RedisProvider,
        'ssl' : SSLProvider,
        'database': DatabaseProvider,
        'elasticsearch' : ElasticsearchProvider
    }